Subject: RE: bug#27940: Recursively delete dir34? (yes, no, all, quit)

From: Drew Adams <[email-masked]>
Date: Fri, 4 Aug 2017 08:51:42 -0700 (PDT)

> > > Shouldn't the valid-answers be "yes" and "no", not "y" and "n", for
> > > backward compatibility?
> > Yes, they should.

> > > Maybe the "!" and "q" parts should be explained?  Or maybe just use
> > > "yes", "no", "all", and "quite", which are self-explanatory?
> > Look the updated patch; it's a mix:
> > 1. uses 'yes', 'no'
> > 2. '!', 'q', 'help'
> >   This is similar like `query-replace' does (there is used '!', 'q', and
> >   '?').  With 'help', a Help buffer is shown with a help message.

I haven't been following this thread, so apologies if I misunderstand.

Is it a good idea to mix `yes-or-no-p'-style (minibuffer) input,
such as `yes' and `no', with `read-char'-style input, such as `!'
and `q'?  I don't think so, a priori.  Especially for `!', which
has worse repercussions in case of a mistake than does `y'.  No?